module.exports = function(eleventyConfig) {
    // Copying static assets
    eleventyConfig.addPassthroughCopy("src/style.css");
    eleventyConfig.addPassthroughCopy("src/photo.png");

    // Configuring permalinks to be ~.html instead of ~/
    eleventyConfig.addGlobalData("permalink", () => {
        return (data) => `${data.page.filePathStem}.${data.page.outputFileExtension}`;
    });

    // Options
    return {
        dir: {
            input: "src",
            output: "dist"
        }
    }
};
